[package - 130releng-riscv64-quarterly][math/py-pplpy] Failed for py38-pplpy-0.8.7_1 in build

From: <pkg-fallout_at_FreeBSD.org>
Date: Sat, 31 Jul 2021 03:26:44 GMT
You are receiving this mail as a port that you maintain
is failing to build on the FreeBSD package build server.
Please investigate the failure and submit a PR to fix
build.

Maintainer:     thierry_at_FreeBSD.org
Log URL:        http://beefy7.nyi.freebsd.org/data/130releng-riscv64-quarterly/e17f46c5dd6b/logs/py38-pplpy-0.8.7_1.log
Build URL:      http://beefy7.nyi.freebsd.org/build.html?mastername=130releng-riscv64-quarterly&build=e17f46c5dd6b
Log:

=>> Building math/py-pplpy
build started at Sat Jul 31 03:25:52 UTC 2021
port directory: /usr/ports/math/py-pplpy
package name: py38-pplpy-0.8.7_1
building for: FreeBSD 130releng-riscv64-quarterly-job-12 13.0-RELEASE-p3 FreeBSD 13.0-RELEASE-p3 1300139 riscv
maintained by: thierry_at_FreeBSD.org
Makefile ident: 
Poudriere version: 3.2.8-21-g883afb07
Host OSVERSION: 1400008
Jail OSVERSION: 1300139
Job Id: 12

---Begin Environment---
SHELL=/bin/csh
UNAME_p=riscv64
UNAME_m=riscv
ABI_FILE=/usr/lib/crt1.o
OSVERSION=1300139
UNAME_v=FreeBSD 13.0-RELEASE-p3 1300139
UNAME_r=13.0-RELEASE-p3
BLOCKSIZE=K
MAIL=/var/mail/root
MM_CHARSET=UTF-8
LANG=C.UTF-8
STATUS=1
HOME=/root
PATH=/sbin:/bin:/usr/sbin:/usr/bin:/usr/local/sbin:/usr/local/bin:/root/bin
LOCALBASE=/usr/local
QEMU_EMULATING=1
USER=root
LIBEXECPREFIX=/usr/local/libexec/poudriere
POUDRIERE_VERSION=3.2.8-21-g883afb07
MASTERMNT=/usr/local/poudriere/data/.m/130releng-riscv64-quarterly/ref
POUDRIERE_BUILD_TYPE=bulk
PACKAGE_BUILDING=yes
SAVED_TERM=
PWD=/usr/local/poudriere/data/.m/130releng-riscv64-quarterly/ref/.p/pool
P_PORTS_FEATURES=FLAVORS SELECTED_OPTIONS
MASTERNAME=130releng-riscv64-quarterly
SCRIPTPREFIX=/usr/local/share/poudriere
OLDPWD=/usr/local/poudriere/data/.m/130releng-riscv64-quarterly/ref/.p
SCRIPTPATH=/usr/local/share/poudriere/bulk.sh
POUDRIEREPATH=/usr/local/bin/poudriere
---End Environment---

---Begin Poudriere Port Flags/Env---
PORT_FLAGS=
PKGENV=
FLAVOR=py38
DEPENDS_ARGS=
MAKE_ARGS= FLAVOR=py38
---End Poudriere Port Flags/Env---

---Begin OPTIONS List---
===> The following configuration options are available for py38-pplpy-0.8.7_1:
     DOCS=on: Build and/or install documentation
===> Use 'make config' to modify these settings
---End OPTIONS List---

--MAINTAINER--
thierry_at_FreeBSD.org
--End MAINTAINER--

--CONFIGURE_ARGS--

--End CONFIGURE_ARGS--

--CONFIGURE_ENV--
PYTHON="/usr/local/bin/python3.8" MAKE=gmake XDG_DATA_HOME=/wrkdirs/usr/ports/math/py-pplpy/work-py38  XDG_CONFIG_HOME=/wrkdirs/usr/ports/math/py-pplpy/work-py38  HOME=/wrkdirs/usr/ports/math/py-pplpy/work-py38 TMPDIR="/tmp" PATH=/wrkdirs/usr/ports/math/py-pplpy/work-py38/.bin:/sbin:/bin:/usr/sbin:/usr/bin:/usr/local/sbin:/usr/local/bin:/root/bin SHELL=/bin/sh CONFIG_SHELL=/bin/sh CMAKE_PREFIX_PATH="/usr/local"
--End CONFIGURE_ENV--

--MAKE_ENV--
XDG_DATA_HOME=/wrkdirs/usr/ports/math/py-pplpy/work-py38  XDG_CONFIG_HOME=/wrkdirs/usr/ports/math/py-pplpy/work-py38  HOME=/wrkdirs/usr/ports/math/py-pplpy/work-py38 TMPDIR="/tmp" PATH=/wrkdirs/usr/ports/math/py-pplpy/work-py38/.bin:/sbin:/bin:/usr/sbin:/usr/bin:/usr/local/sbin:/usr/local/bin:/root/bin NO_PIE=yes MK_DEBUG_FILES=no MK_KERNEL_SYMBOLS=no SHELL=/bin/sh NO_LINT=YES LDSHARED="/nxb-bin/usr/bin/cc -shared" PYTHONDONTWRITEBYTECODE= PYTHONOPTIMIZE= PREFIX=/usr/local  LOCALBASE=/usr/local  CC="/nxb-bin/usr/bin/cc" CFLAGS="-O2 -pipe -march=rv64imafdc -mabi=lp64d  -fstack-protector-strong -isystem /usr/local/include -fno-strict-aliasing "  CPP="/nxb-bin/usr/bin/cpp" CPPFLAGS="-isystem /usr/local/include"  LDFLAGS=" -s -fstack-protector-strong " LIBS="-L/usr/local/lib"  CXX="/nxb-bin/usr/bin/c++" CXXFLAGS="-O2 -pipe -march=rv64imafdc -mabi=lp64d -fstack-protector-strong -isystem /usr/local/include -fno-strict-aliasing  -isystem /usr/local/include "  MANPREFIX="/usr/local" BSD_INST
 ALL_PROGRAM="install  -s -m 555"  BSD_INSTALL_LIB="install  -s -m 0644"  BSD_INSTALL_SCRIPT="install  -m 555"  BSD_INSTALL_DATA="install  -m 0644"  BSD_INSTALL_MAN="install  -m 444"
--End MAKE_ENV--

--PLIST_SUB--
PORTDOCS="" PYTHON_INCLUDEDIR=include/python3.8  PYTHON_LIBDIR=lib/python3.8  PYTHON_PLATFORM=freebsd13  PYTHON_SITELIBDIR=lib/python3.8/site-packages  PYTHON_SUFFIX=38  PYTHON_EXT_SUFFIX=.cpython-38  PYTHON_VER=3.8  PYTHON_VERSION=python3.8 PYTHON2="_at_comment " PYTHON3="" OSREL=13.0 PREFIX=%D LOCALBASE=/usr/local  RESETPREFIX=/usr/local LIB32DIR=lib DOCSDIR="share/doc/pplpy"  EXAMPLESDIR="share/examples/pplpy"  DATADIR="share/pplpy"  WWWDIR="www/pplpy"  ETCDIR="etc/pplpy"
--End PLIST_SUB--

--SUB_LIST--
PREFIX=/usr/local LOCALBASE=/usr/local  DATADIR=/usr/local/share/pplpy DOCSDIR=/usr/local/share/doc/pplpy EXAMPLESDIR=/usr/local/share/examples/pplpy  WWWDIR=/usr/local/www/pplpy ETCDIR=/usr/local/etc/pplpy
--End SUB_LIST--

---Begin make.conf---
.sinclude "/etc/make.nxb.conf"
USE_PACKAGE_DEPENDS=yes
BATCH=yes
WRKDIRPREFIX=/wrkdirs
PORTSDIR=/usr/ports
PACKAGES=/packages
DISTDIR=/distfiles
PACKAGE_BUILDING=yes
PACKAGE_BUILDING_FLAVORS=yes
MACHINE=riscv
MACHINE_ARCH=riscv64
ARCH=${MACHINE_ARCH}
#### /usr/local/etc/poudriere.d/make.conf ####
# XXX: We really need this but cannot use it while 'make checksum' does not
# try the next mirror on checksum failure.  It currently retries the same
# failed mirror and then fails rather then trying another.  It *does*
# try the next if the size is mismatched though.
#MASTER_SITE_FREEBSD=yes
# Build ALLOW_MAKE_JOBS_PACKAGES with 2 jobs
MAKE_JOBS_NUMBER=2
#### /usr/ports/Mk/Scripts/ports_env.sh ####
_CCVERSION_9d218390=FreeBSD clang version 11.0.1 (git_at_github.com:llvm/llvm-project.git llvmorg-11.0.1-0-g43ff75f2c3fe) Target: riscv64-unknown-freebsd13.0 Thread model: posix InstalledDir: /nxb-bin/usr/bin
_ALTCCVERSION_9d218390=none
_CXXINTERNAL_9c45a5b1=FreeBSD clang version 11.0.1 (git_at_github.com:llvm/llvm-project.git llvmorg-11.0.1-0-g43ff75f2c3fe) Target: riscv64-unknown-freebsd13.0 Thread model: posix InstalledDir: /nxb-bin/usr/bin "/nxb-bin/usr/bin/ld" "--eh-frame-hdr" "-dynamic-linker" "/libexec/ld-elf.so.1" "--enable-new-dtags" "-m" "elf64lriscv" "-o" "a.out" "/usr/lib/crt1.o" "/usr/lib/crti.o" "/usr/lib/crtbegin.o" "-L/usr/lib" "/dev/null" "-lc++" "-lm" "-lgcc" "--as-needed" "-lgcc_s" "--no-as-needed" "-lc" "-lgcc" "--as-needed" "-lgcc_s" "--no-as-needed" "/usr/lib/crtend.o" "/usr/lib/crtn.o"
CC_OUTPUT_9d218390_58173849=yes
CC_OUTPUT_9d218390_9bdba57c=yes
CC_OUTPUT_9d218390_6a4fe7f5=yes
CC_OUTPUT_9d218390_6bcac02b=yes
CC_OUTPUT_9d218390_67d20829=yes
CC_OUTPUT_9d218390_bfa62e83=yes
CC_OUTPUT_9d218390_f0b4d593=yes
CC_OUTPUT_9d218390_308abb44=yes
CC_OUTPUT_9d218390_f00456e5=yes
CC_OUTPUT_9d218390_65ad290d=yes
CC_OUTPUT_9d218390_f2776b26=yes
CC_OUTPUT_9d218390_b2657cc3=yes
CC_OUTPUT_9d218390_380987f7=yes
CC_OUTPUT_9d218390_160933ec=yes
CC_OUTPUT_9d218390_fb62803b=yes
_OBJC_CCVERSION_9d218390=FreeBSD clang version 11.0.1 (git_at_github.com:llvm/llvm-project.git llvmorg-11.0.1-0-g43ff75f2c3fe) Target: riscv64-unknown-freebsd13.0 Thread model: posix InstalledDir: /nxb-bin/usr/bin
_OBJC_ALTCCVERSION_9d218390=none
ARCH=riscv64
OPSYS=FreeBSD
_OSRELEASE=13.0-RELEASE-p3
OSREL=13.0
OSVERSION=1300139
PYTHONBASE=/usr/local
CONFIGURE_MAX_CMD_LEN=524288
HAVE_PORTS_ENV=1
#### Misc Poudriere ####
GID=0
UID=0
DISABLE_MAKE_JOBS=poudriere
---End make.conf---
---Begin make.nxb.conf---
CC=/nxb-bin/usr/bin/cc
CPP=/nxb-bin/usr/bin/cpp
CXX=/nxb-bin/usr/bin/c++
NM=/nxb-bin/usr/bin/nm
LD=/nxb-bin/usr/bin/ld
OBJCOPY=/nxb-bin/usr/bin/objcopy
SIZE=/nxb-bin/usr/bin/size
STRIPBIN=/nxb-bin/usr/bin/strip
SED=/nxb-bin/usr/bin/sed
RANLIB=/nxb-bin/usr/bin/ranlib
YACC=/nxb-bin/usr/bin/yacc
MAKE=/nxb-bin/usr/bin/make
STRINGS=/nxb-bin/usr/bin/strings
AWK=/nxb-bin/usr/bin/awk
FLEX=/nxb-bin/usr/bin/flex
---End make.nxb.conf---
--Resource limits--
cpu time               (seconds, -t)  unlimited
file size           (512-blocks, -f)  unlimited
data seg size           (kbytes, -d)  33554432
stack size              (kbytes, -s)  524288
core file size      (512-blocks, -c)  unlimited
max memory size         (kbytes, -m)  unlimited
locked memory           (kbytes, -l)  unlimited
max user processes              (-u)  89999
open files                      (-n)  1024
virtual mem size        (kbytes, -v)  unlimited
swap limit              (kbytes, -w)  unlimited
socket buffer size       (bytes, -b)  unlimited
pseudo-terminals                (-p)  unlimited
kqueues                         (-k)  unlimited
umtx shared locks               (-o)  unlimited
--End resource limits--
=======================<phase: check-sanity   >============================
===>  License GPLv3 accepted by the user
===========================================================================
=======================<phase: pkg-depends    >============================
===>   py38-pplpy-0.8.7_1 depends on file: /usr/local/sbin/pkg - not found
===>   Installing existing package /packages/All/pkg-1.16.3.txz
[130releng-riscv64-quarterly-job-12] Installing pkg-1.16.3...
[130releng-riscv64-quarterly-job-12] Extracting pkg-1.16.3: .......... done
===>   py38-pplpy-0.8.7_1 depends on file: /usr/local/sbin/pkg - found
===>   Returning to build of py38-pplpy-0.8.7_1
===========================================================================
=======================<phase: fetch-depends  >============================
===========================================================================
=======================<phase: fetch          >============================
===>  License GPLv3 accepted by the user
===> Fetching all distfiles required by py38-pplpy-0.8.7_1 for building
===========================================================================
=======================<phase: checksum       >============================
===>  License GPLv3 accepted by the user
===> Fetching all distfiles required by py38-pplpy-0.8.7_1 for building
=> SHA256 Checksum OK for pplpy-0.8.7.tar.gz.
===========================================================================
=======================<phase: extract-depends>============================
===========================================================================
=======================<phase: extract        >============================
===>  License GPLv3 accepted by the user
===> Fetching all distfiles required by py38-pplpy-0.8.7_1 for building
<snip>
=====
Message from python38-3.8.10:

--
Note that some standard Python modules are provided as separate ports
as they require additional dependencies. They are available as:

py38-gdbm       databases/py-gdbm_at_py38
py38-sqlite3    databases/py-sqlite3_at_py38
py38-tkinter    x11-toolkits/py-tkinter_at_py38
===>   py38-pplpy-0.8.7_1 depends on package: py38-gmpy2-devel>0 - found
===>   Returning to build of py38-pplpy-0.8.7_1
===>   py38-pplpy-0.8.7_1 depends on package: py38-cysignals>0 - not found
===>   Installing existing package /packages/All/py38-cysignals-1.10.3.txz
[130releng-riscv64-quarterly-job-12] Installing py38-cysignals-1.10.3...
[130releng-riscv64-quarterly-job-12] `-- Installing pari-2.13.2,2...
[130releng-riscv64-quarterly-job-12] |   `-- Installing libX11-1.7.2,1...
[130releng-riscv64-quarterly-job-12] |   | `-- Installing libxcb-1.14_1...
[130releng-riscv64-quarterly-job-12] |   |   `-- Installing libXau-1.0.9...
[130releng-riscv64-quarterly-job-12] |   |   `-- Extracting libXau-1.0.9: .......... done
[130releng-riscv64-quarterly-job-12] |   |   `-- Installing libXdmcp-1.1.3...
[130releng-riscv64-quarterly-job-12] |   |   | `-- Installing xorgproto-2021.4...
[130releng-riscv64-quarterly-job-12] |   |   | `-- Extracting xorgproto-2021.4: .......... done
[130releng-riscv64-quarterly-job-12] |   |   `-- Extracting libXdmcp-1.1.3: ......... done
[130releng-riscv64-quarterly-job-12] |   |   `-- Installing libpthread-stubs-0.4...
[130releng-riscv64-quarterly-job-12] |   |   `-- Extracting libpthread-stubs-0.4: .... done
[130releng-riscv64-quarterly-job-12] |   | `-- Extracting libxcb-1.14_1: .......... done
[130releng-riscv64-quarterly-job-12] |   `-- Extracting libX11-1.7.2,1: .......... done
[130releng-riscv64-quarterly-job-12] |   `-- Installing perl5-5.32.1_1...
[130releng-riscv64-quarterly-job-12] |   `-- Extracting perl5-5.32.1_1: .......... done
[130releng-riscv64-quarterly-job-12] `-- Extracting pari-2.13.2,2: .......... done
[130releng-riscv64-quarterly-job-12] Extracting py38-cysignals-1.10.3: .......... done
===>   py38-pplpy-0.8.7_1 depends on package: py38-cysignals>0 - found
===>   Returning to build of py38-pplpy-0.8.7_1
===>   py38-pplpy-0.8.7_1 depends on package: py38-sphinx>=0,1 - not found
===>   Installing existing package /packages/All/py38-sphinx-3.5.2,1.txz
[130releng-riscv64-quarterly-job-12] Installing py38-sphinx-3.5.2,1...
[130releng-riscv64-quarterly-job-12] `-- Installing ca_root_nss-3.63...
[130releng-riscv64-quarterly-job-12] `-- Extracting ca_root_nss-3.63: ........ done
[130releng-riscv64-quarterly-job-12] `-- Installing py38-Babel-2.9.1...
[130releng-riscv64-quarterly-job-12] |   `-- Installing py38-pytz-2021.1,1...
[130releng-riscv64-quarterly-job-12] |   `-- Extracting py38-pytz-2021.1,1: .......... done
[130releng-riscv64-quarterly-job-12] `-- Extracting py38-Babel-2.9.1: .......... done
[130releng-riscv64-quarterly-job-12] `-- Installing py38-Jinja2-2.11.2_1...
[130releng-riscv64-quarterly-job-12] |   `-- Installing py38-markupsafe-1.1.1_1...
[130releng-riscv64-quarterly-job-12] |   `-- Extracting py38-markupsafe-1.1.1_1: .......... done
[130releng-riscv64-quarterly-job-12] `-- Extracting py38-Jinja2-2.11.2_1: .......... done
[130releng-riscv64-quarterly-job-12] `-- Installing py38-alabaster-0.7.12...
[130releng-riscv64-quarterly-job-12] `-- Extracting py38-alabaster-0.7.12: .......... done
[130releng-riscv64-quarterly-job-12] `-- Installing py38-docutils-0.17.1...
[130releng-riscv64-quarterly-job-12] `-- Extracting py38-docutils-0.17.1: .......... done
[130releng-riscv64-quarterly-job-12] `-- Installing py38-imagesize-1.2.0...
[130releng-riscv64-quarterly-job-12] `-- Extracting py38-imagesize-1.2.0: .......... done
[130releng-riscv64-quarterly-job-12] `-- Installing py38-packaging-20.9...
[130releng-riscv64-quarterly-job-12] |   `-- Installing py38-pyparsing-2.4.7...
[130releng-riscv64-quarterly-job-12] |   `-- Extracting py38-pyparsing-2.4.7: .......... done
[130releng-riscv64-quarterly-job-12] `-- Extracting py38-packaging-20.9: .......... done
[130releng-riscv64-quarterly-job-12] `-- Installing py38-pygments-2.7.2...
[130releng-riscv64-quarterly-job-12] `-- Extracting py38-pygments-2.7.2: .......... done
[130releng-riscv64-quarterly-job-12] `-- Installing py38-requests-2.25.1...
[130releng-riscv64-quarterly-job-12] |   `-- Installing py38-certifi-2021.5.30...
[130releng-riscv64-quarterly-job-12] |   `-- Extracting py38-certifi-2021.5.30: .......... done
[130releng-riscv64-quarterly-job-12] |   `-- Installing py38-chardet-4.0.0,1...
[130releng-riscv64-quarterly-job-12] |   `-- Extracting py38-chardet-4.0.0,1: .......... done
[130releng-riscv64-quarterly-job-12] |   `-- Installing py38-idna-2.10...
[130releng-riscv64-quarterly-job-12] |   `-- Extracting py38-idna-2.10: .......... done
[130releng-riscv64-quarterly-job-12] |   `-- Installing py38-urllib3-1.25.11,1...
[130releng-riscv64-quarterly-job-12] |   | `-- Installing py38-cryptography-3.3.2...
[130releng-riscv64-quarterly-job-12] |   |   `-- Installing py38-cffi-1.14.5...
[130releng-riscv64-quarterly-job-12] |   |   | `-- Installing py38-pycparser-2.20...
[130releng-riscv64-quarterly-job-12] |   |   | `-- Extracting py38-pycparser-2.20: .......... done
[130releng-riscv64-quarterly-job-12] |   |   `-- Extracting py38-cffi-1.14.5: .......... done
[130releng-riscv64-quarterly-job-12] |   |   `-- Installing py38-six-1.16.0...
[130releng-riscv64-quarterly-job-12] |   |   `-- Extracting py38-six-1.16.0: .......... done
[130releng-riscv64-quarterly-job-12] |   | `-- Extracting py38-cryptography-3.3.2: .......... done
[130releng-riscv64-quarterly-job-12] |   | `-- Installing py38-openssl-20.0.1...
[130releng-riscv64-quarterly-job-12] |   | `-- Extracting py38-openssl-20.0.1: .......... done
[130releng-riscv64-quarterly-job-12] |   | `-- Installing py38-pysocks-1.7.1...
[130releng-riscv64-quarterly-job-12] |   | `-- Extracting py38-pysocks-1.7.1: .......... done
[130releng-riscv64-quarterly-job-12] |   `-- Extracting py38-urllib3-1.25.11,1: .......... done
[130releng-riscv64-quarterly-job-12] `-- Extracting py38-requests-2.25.1: .......... done
[130releng-riscv64-quarterly-job-12] `-- Installing py38-snowballstemmer-2.1.0...
[130releng-riscv64-quarterly-job-12] |   `-- Installing py38-pystemmer-2.0.1...
[130releng-riscv64-quarterly-job-12] |   `-- Extracting py38-pystemmer-2.0.1: ......... done
[130releng-riscv64-quarterly-job-12] `-- Extracting py38-snowballstemmer-2.1.0: .......... done
[130releng-riscv64-quarterly-job-12] `-- Installing py38-sphinxcontrib-applehelp-1.0.2...
[130releng-riscv64-quarterly-job-12] `-- Extracting py38-sphinxcontrib-applehelp-1.0.2: .......... done
[130releng-riscv64-quarterly-job-12] `-- Installing py38-sphinxcontrib-devhelp-1.0.2...
[130releng-riscv64-quarterly-job-12] `-- Extracting py38-sphinxcontrib-devhelp-1.0.2: .......... done
[130releng-riscv64-quarterly-job-12] `-- Installing py38-sphinxcontrib-htmlhelp-1.0.3...
[130releng-riscv64-quarterly-job-12] `-- Extracting py38-sphinxcontrib-htmlhelp-1.0.3: .......... done
[130releng-riscv64-quarterly-job-12] `-- Installing py38-sphinxcontrib-jsmath-1.0.1...
[130releng-riscv64-quarterly-job-12] `-- Extracting py38-sphinxcontrib-jsmath-1.0.1: .......... done
[130releng-riscv64-quarterly-job-12] `-- Installing py38-sphinxcontrib-qthelp-1.0.3...
[130releng-riscv64-quarterly-job-12] `-- Extracting py38-sphinxcontrib-qthelp-1.0.3: .......... done
[130releng-riscv64-quarterly-job-12] `-- Installing py38-sphinxcontrib-serializinghtml-1.1.4...
[130releng-riscv64-quarterly-job-12] `-- Extracting py38-sphinxcontrib-serializinghtml-1.1.4: .......... done
[130releng-riscv64-quarterly-job-12] Extracting py38-sphinx-3.5.2,1: .......... done
=====
Message from ca_root_nss-3.63:

--
FreeBSD does not, and can not warrant that the certification authorities
whose certificates are included in this package have in any way been
audited for trustworthiness or RFC 3647 compliance.

Assessment and verification of trust is the complete responsibility of the
system administrator.


This package installs symlinks to support root certificates discovery by
default for software that uses OpenSSL.

This enables SSL Certificate Verification by client software without manual
intervention.

If you prefer to do this manually, replace the following symlinks with
either an empty file or your site-local certificate bundle.

  * /etc/ssl/cert.pem
  * /usr/local/etc/ssl/cert.pem
  * /usr/local/openssl/cert.pem
=====
Message from py38-urllib3-1.25.11,1:

--
Since version 1.25 HTTPS connections are now verified by default which is done
via "cert_reqs = 'CERT_REQUIRED'".  While certificate verification can be
disabled via "cert_reqs = 'CERT_NONE'", it's highly recommended to leave it on.

Various consumers of net/py-urllib3 already have implemented routines that
either explicitly enable or disable HTTPS certificate verification (e.g. via
configuration settings, CLI arguments, etc.).

Yet it may happen that there are still some consumers which don't explicitly
enable/disable certificate verification for HTTPS connections which could then
lead to errors (as is often the case with self-signed certificates).

In case of an error one should try first to temporarily disable certificate
verification of the problematic urllib3 consumer to see if that approach will
remedy the issue.
===>   py38-pplpy-0.8.7_1 depends on package: py38-sphinx>=0,1 - found
===>   Returning to build of py38-pplpy-0.8.7_1
===>   py38-pplpy-0.8.7_1 depends on executable: cython-3.8 - not found
===>   Installing existing package /packages/All/py38-cython-0.29.23.txz
[130releng-riscv64-quarterly-job-12] Installing py38-cython-0.29.23...
[130releng-riscv64-quarterly-job-12] Extracting py38-cython-0.29.23: .......... done
===>   py38-pplpy-0.8.7_1 depends on executable: cython-3.8 - found
===>   Returning to build of py38-pplpy-0.8.7_1
===>   py38-pplpy-0.8.7_1 depends on package: py38-setuptools>0 - found
===>   py38-pplpy-0.8.7_1 depends on file: /usr/local/bin/python3.8 - found
===>   py38-pplpy-0.8.7_1 depends on package: gmake>=4.3 - not found
===>   Installing existing package /packages/All/gmake-4.3_2.txz
[130releng-riscv64-quarterly-job-12] Installing gmake-4.3_2...
[130releng-riscv64-quarterly-job-12] Extracting gmake-4.3_2: .......... done
===>   py38-pplpy-0.8.7_1 depends on package: gmake>=4.3 - found
===>   Returning to build of py38-pplpy-0.8.7_1
===========================================================================
=======================<phase: lib-depends    >============================
===>   py38-pplpy-0.8.7_1 depends on shared library: libgmp.so - found (/usr/local/lib/libgmp.so)
===>   py38-pplpy-0.8.7_1 depends on shared library: libmpfr.so - found (/usr/local/lib/libmpfr.so)
===>   py38-pplpy-0.8.7_1 depends on shared library: libmpc.so - found (/usr/local/lib/libmpc.so)
===>   py38-pplpy-0.8.7_1 depends on shared library: libpari.so - found (/usr/local/lib/libpari.so)
===>   py38-pplpy-0.8.7_1 depends on shared library: libppl.so - not found
===>   Installing existing package /packages/All/ppl-1.2.txz
[130releng-riscv64-quarterly-job-12] Installing ppl-1.2...
[130releng-riscv64-quarterly-job-12] `-- Installing glpk-5.0...
[130releng-riscv64-quarterly-job-12] `-- Extracting glpk-5.0: .......... done
[130releng-riscv64-quarterly-job-12] Extracting ppl-1.2: .......... done
===>   py38-pplpy-0.8.7_1 depends on shared library: libppl.so - found (/usr/local/lib/libppl.so)
===>   Returning to build of py38-pplpy-0.8.7_1
===========================================================================
=======================<phase: configure      >============================
===>  Configuring for py38-pplpy-0.8.7_1
running config
===========================================================================
=======================<phase: build          >============================
===>  Building for py38-pplpy-0.8.7_1
running build
running build_py
creating build
creating build/lib.freebsd-13.0-RELEASE-p3-riscv-3.8
creating build/lib.freebsd-13.0-RELEASE-p3-riscv-3.8/ppl
copying ppl/__init__.py -> build/lib.freebsd-13.0-RELEASE-p3-riscv-3.8/ppl
copying ppl/bit_arrays.pxd -> build/lib.freebsd-13.0-RELEASE-p3-riscv-3.8/ppl
copying ppl/constraint.pxd -> build/lib.freebsd-13.0-RELEASE-p3-riscv-3.8/ppl
copying ppl/polyhedron.pxd -> build/lib.freebsd-13.0-RELEASE-p3-riscv-3.8/ppl
copying ppl/mip_problem.pxd -> build/lib.freebsd-13.0-RELEASE-p3-riscv-3.8/ppl
copying ppl/linear_algebra.pxd -> build/lib.freebsd-13.0-RELEASE-p3-riscv-3.8/ppl
copying ppl/congruence.pxd -> build/lib.freebsd-13.0-RELEASE-p3-riscv-3.8/ppl
copying ppl/generator.pxd -> build/lib.freebsd-13.0-RELEASE-p3-riscv-3.8/ppl
copying ppl/ppl_decl.pxd -> build/lib.freebsd-13.0-RELEASE-p3-riscv-3.8/ppl
copying ppl/ppl_shim.hh -> build/lib.freebsd-13.0-RELEASE-p3-riscv-3.8/ppl
running build_ext
Error: /usr/local/lib/python3.8/site-packages/cysignals/signals.cpython-38.so: No space available for static Thread Local Storage
The installation of ppl requires cysignals
*** Error code 1

Stop.
make: stopped in /usr/ports/math/py-pplpy
Received on Sat Jul 31 2021 - 03:26:44 UTC

Original text of this message